Package com.sas.lsaf.workflow.processflow

## Enum CreationMethod

- java.lang.Object
- - java.lang.Enum<CreationMethod>
  - - com.sas.lsaf.workflow.processflow.CreationMethod

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CreationMethod>`

      public enum CreationMethod
      extends java.lang.Enum<CreationMethod>

  The values by which a process flow can be created.
  Since:
    2.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MANUAL` | The process flow was created manually.
    `TLF` | The process flow was created from a TLF.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CreationMethod` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CreationMethod[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MANUAL

          public static final CreationMethod MANUAL

      The process flow was created manually.

    - #### TLF

          public static final CreationMethod TLF

      The process flow was created from a TLF.

  - ### Method Detail

    - #### values

          public static CreationMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CreationMethod c : CreationMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CreationMethod valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null